# Barebones
Barebones is simple, responsive boilerplate based off the popular [Skeleton](http://getskeleton.com) project by [Dave Gamache](https://twitter.com/dhg).

### Why Barebones?

Building off of Skeleton's [awesomeness](https://github.com/dhg/Skeleton#why-its-awesome):
- Normalize.css added as a submodule to remain current
- Updated to use CSS variables
- Uses CSS Grid instead of 12-column grid system
- Support for @media prefers-color-scheme (aka Dark Mode)
- Pending Release: Uses CSS env() function
- Possible: Add basic Nav boilerplate


## Current Status

2019-01-20 - updates currently being made on v3 branch. No releases yet.


## Getting started

Barebones can be downloaded via zip file or the repo can be cloned:
- [Download the zip](https://github.com/acahir/Barebones/archive/2.0.4.zip)
- Clone the repo: `https://github.com/acahir/Barebones.git`

Note: The current master branch is simply v2.0.4 of Skeleton. Branch v3 is under active development.


### What's in the download?

The download includes Skeleton's CSS, Normalize CSS as a reset, a sample favicon, and an index.html as a starting point.

```
Skeleton/
├── index.html
├── css/
│   ├── normalize.min.css
│   └── skeleton.css
└── images/
    └── favicon.ico

```

## Browser support

- Chrome latest
- Firefox latest
- Opera latest
- Safari latest
- IE latest

With the inclusion of CSS Grid, support for IE v11 and earlier is not included. Check [caniuse](https://caniuse.com/#feat=css-grid) for more details. While possible to include partial support for IE with -ms prefixes, it doesn't seem justified at this time.


## License

All parts of Barebones are free to use and abuse under the MIT license.


